Subject: Re: bug#51370: 28.0.60; tab-bar-history-mode: avoid micro-steps

From: Juri Linkov <[email-masked]>
Date: Mon, 22 Nov 2021 19:58:43 +0200

>> Thanks for this! I've been testing it and it works well. There is a
>> small issue in that it does nothing when the command is executed as
>> M-x tab-bar-history-back from a fido-mode minibuffer interaction. I
>> can invoke it from icomplete-mode or standard minibuffer completion,
>> or just eval it in a buffer, it's just with fido-mode that it breaks.
>
> The problem is that fido-mode resizes the minibuffer immediately
> that calls window-configuration-change-hook.  The same problem
> is reproducible in icomplete-mode after customizing
> icomplete-show-matches-on-no-input to non-nil.
> Thanks for the reproducible case, so it could be fixed.

This is fixed now on master, after simplifying by removing
unnecessary code, and now it works in all cases.